## org.acedb.staticobj
Class StaticAceNode

    java.lang.Object
      |
      +--org.acedb.staticobj.StaticAceNode

Direct Known Subclasses:
  StaticAceObject, StaticDateValue, StaticFloatValue, StaticIntValue, StaticModelNode, StaticReference, StaticStringValue

public class StaticAceNode
extends java.lang.Object
implements AceNode

Author:
  Thomas Down

Constructor Summary
`StaticAceNode(java.lang.String name, AceSet parent)`
`StaticAceNode(java.lang.String name, java.util.Map contents, AceSet parent)`

Method Summary
`void` `addNode(AceNode nd)`
`boolean` `contains(java.lang.String name)` Returns whether an object is contained under a given name.
`AceSet` `filter(java.lang.String pattern)` Retrieve a sub-set of members by a filter string.
`java.lang.String` `getName()` The name of this node - possibly null.
`AceSet` `getParent()` The logical parent of this object or null if there is no logical parent.
`java.util.Iterator` `iterator()` An iterator over every thing in this set.
`java.util.Iterator` `nameIterator()` An iterator over the names associated with each thing in the set.
`AceSet` `retrieve(java.lang.String name)` Retrieve a memeber by name.
`int` `size()` The number of items in this AceSet.
`AceURL` `toURL()` A URL that can be used to retrieve this set (assuming that the server will still be there when you try).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticAceNode

    public StaticAceNode(java.lang.String name,
                         java.util.Map contents,
                         AceSet parent)

### StaticAceNode

    public StaticAceNode(java.lang.String name,
                         AceSet parent)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: AceSet
  The name of this node - possibly null.

### getParent

    public AceSet getParent()

  Description copied from interface: AceSet
  The logical parent of this object or null if there is no logical parent.

### toURL

    public AceURL toURL()
                 throws AceURLException

  Description copied from interface: AceSet
  A URL that can be used to retrieve this set (assuming that the server will still be there when you try).
  Tags copied from interface: AceSet
  Throws:
    AceURLException - if for any reason the URL can't be constructed

### size

    public int size()

  Description copied from interface: AceSet
  The number of items in this AceSet.

### nameIterator

    public java.util.Iterator nameIterator()

  Description copied from interface: AceSet
  An iterator over the names associated with each thing in the set. Names are Strings.

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: AceSet
  An iterator over every thing in this set. Things are AceSet-derived objects.

### contains

    public boolean contains(java.lang.String name)

  Description copied from interface: AceSet
  Returns whether an object is contained under a given name.

### retrieve

    public AceSet retrieve(java.lang.String name)
                    throws AceException

  Description copied from interface: AceSet
  Retrieve a memeber by name.

### addNode

    public void addNode(AceNode nd)

### filter

    public AceSet filter(java.lang.String pattern)

  Description copied from interface: AceSet
  Retrieve a sub-set of members by a filter string.